<div class="card shadow-sm">
  <div class="card-body px-4">
    <div class="row">
      <h3 class="col-sm">{{post?.title}}</h3>
      <div class="btn-group col-auto py-2">
        <a [routerLink]="['/post/edit',post?.id]" class="btn btn-sm btn-outline-secondary">Editer</a>
        <button *ngIf="user=='admin'" (click)="deletePost()" type="button"
          class="btn btn-sm btn-outline-secondary stretched-link">X</button>
      </div>
    </div>
    <img [src]="imgUrl" (error)="imgUrl = defaultImg" class="card-img" alt="Image de l'article">
    <div class="d-flex justify-content-between align-items-center border-bottom">
      <button type="button" name="category" class="btn btn-link text-success">{{post?.category?.label}}</button>
      <small class="text-muted">{{post?.date|date: 'dd/MM/yyyy'}}</small>
    </div>
    <p class="card-text mt-3">{{post?.text}}</p>
  </div>
</div>